#!/bin/sh
# $Id$ */
# can't be called xgate_monitor because it confuses is_service_running
#

set -e

XGATEMONPID="/var/run/xgate_monitor_pid"
XGATEPID="/var/xgate/pid"
XGATE="/usr/local/bin/xgate"
XGATERC="/usr/local/etc/rc.d/xgate.sh"

# is xgate_monitor.sh already running?
if [ -f "$XGATEMONPID" ] ; then
    oldpid=`cat "$XGATEMONPID"`
    isrunning=`(ps awux | grep "$oldpid" | grep -v "grep" | awk '{ print $2}')`
    if [ -n "$isrunning" ]; then
	echo "$0 already running"
        exit
    fi
fi

echo -n $$ > "$XGATEMONPID"

LOOP_SLEEP=55

while [ /bin/true ]; do
        # only start xgate if it crashed. If there is no pid then it was shutdown
	# gracefully so we don't want to start it
 	if [ -f "$XGATEPID" ] ; then
	    pid=`cat $XGATEPID`
            isrunning=`(ps awux | grep "$pid" | grep -v "grep" | awk '{ print $2}')`
            if [ ! -n "$isrunning" ]; then
	        $XGATERC start 1>/dev/null 2>&1
	    fi
	fi	
        sleep $LOOP_SLEEP
done

